#!../../bin/linux-x86/sinqEPICS

## You may have to change sinqEPICS to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase "dbd/sinqEPICS.dbd"
dbLoadDatabase "dbd/sinq.dbd"
sinqEPICS_registerRecordDeviceDriver pdbbase

## Load record instances
#dbLoadRecords("db/xxx.db","user=koenneckeHost")


#---------- load EL734 motor controller
drvAsynIPPortConfigure("serial1", "narziss-ts:3002",0,0,0)
#drvAsynIPPortConfigure("serial1", "localhost:8080",0,0,0)
EL734CreateController("mota","serial1",6);

### Motors

dbLoadRecords("$(ASYN)/db/asynRecord.db","P=NZ:,R=serial1,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")


cd ${TOP}/iocBoot/${IOC}
dbLoadTemplate "motor.substitutions.el734"


#--------- load EL737 counter box
drvAsynIPPortConfigure("cter1","narziss-ts:3003",0,0,0)
dbLoadRecords("$(ASYN)/db/asynRecord.db","P=NZ:,R=cter1,PORT=cter1,ADDR=0,OMAX=80,IMAX=80")
dbLoadRecords("${TOP}/db/el737Record.db")

asynSetTraceIOMask("cter1",0,2)

iocInit

## Start any sequence programs
#seq sncxxx,"user=koenneckeHost"
